get
https://api.things5.digital/v1/devices//logs/csv
Downloads the device's log lines for a period as a CSV file with columns timestamp (UTC, ISO 8601) and message.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Permission: View permission on the device.
Response Content-Type: text/csv, Content-Disposition: attachment; filename="<serial>_logs_<from YYYY-MM-DD-HH-mm-ss>.csv". At most 5,000 lines per file (with sorting=desc, the newest 5,000): narrow the period to get older lines. Other 400 messages: Invalid from datetime, Missing to datetime, Invalid to datetime, Invalid sorting parameter, must be asc or desc.
